PCAP_STRERROR(3)

NAME
pcap_strerror - convert an errno value to a string

SYNOPSIS
#include <pcap/pcap.h>

const char *pcap_strerror(int error);

DESCRIPTION
This function returns an error message string corresponding to error. It uses either strerror(3) or its thread-safe variant if one is available, which currently is the case in every supported OS.

BACKWARD COMPATIBILITY
This function was not thread-safe in libpcap before 1.8.1 on Windows and in libpcap before 1.10.5 on all other OSes.

SEE ALSO
pcap(3)